
Redmine - Defect #15204

Git commit message not formatted at all in <project>/repository/revisions/<SHA> view

2013-10-25 19:50 - T K

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.3

Description

The commit message of a Git commit is not formatted at all when displaying a single commit in

projects/<PROJECTID>/repository/revisions/<SHA>. Usually, a Git commit has a short title separated with an empty line from a

detailed description. Though this gets correctly written to the rendered HTML, empty lines in an HTML document are not rendered.

The commit message

an awesome commit

This commit finally fixes those annoying bugs and made this piece of

software an awesome product!

 Is displayed in a single line

an awesome commit This commit finally fixes those annoying bugs and made this piece of software an awesome product!

 I would at least expect the empty line to be visible. In addition, it would be helpful when the commit title can be styled differently, e.g.

bold.

Related issues:

Is duplicate of Redmine - Defect #11040: Git commit messages have strange for... New

History

#1 - 2013-10-28 11:07 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #11040.

#2 - 2013-10-28 11:07 - Toshi MARUYAMA

- Is duplicate of Defect #11040: Git commit messages have strange formatting: added
